Static QR-Code Generator

For merchant to generate static QR code of e-wallet

Method: POST or GET

Field NameData Type(Size)M/ODescription
merchantIDAlphanumeric, 32 charsMMerchant ID provided by PG
channelAlphanumeric, 32 charsMChannel requested: • AlipayQR - Alipay Static QR • WeChatPayQR - WeChat Pay Static QR • DuitNowQR - DuitNow Static QR • PayNowQR- PayNow Static QR
orderidAlphanumeric, 40 charsMItems ID. E.g: S001
currencyAlphabet, 3 charsMISO-4217 currency code.
amountNumericCThe total amount to be paid in one purchase order. 2 decimal points and no commat (,) is allowed. Mandatory except DuitNowQR and PayNowQR
bill_nameAlphanumeric, 128 charsMItems name.
bill_descTextMItem description.
checksumAlphanumeric, 32 charsMThis is a request integrity protection hash string.
Checksum = md5( {merchantID}{channel}{orderid}{currency}{amount}{verify_key} )

Response

Field NameData Type(Size)M/ODescription
statusBooleanMtrue/false
qrcode_dataURLMQR-Code data. Available for status true.
qrcode_linkURLMLink to view QR-Code image. Available for status true.
error_codeAlphanumericMError code when status is false.
error_mesgTextMError description when status is false.
error_codeerror_mesg
SQ001Missing required parameter FieldName.
SQ002System is busy now, temporarily out of service. Please try again later.
SQ003Merchant info not found.
SQ005Invalid checksum value.
SQ004Currency not supported.
SQ006Your account doesn't subscribe to this channel. Please contact our support teams to enable this.
Query Params
string
required

Merchant ID provided by PG

string
required

Channel requested: ● AlipaySQR - Alipay Static QR ● WeChatPaySQR - WeChat Pay Static QR ● DuitNowSQR - DuitNow Static QR ● PayNowSQR - PayNow Static QR

string
required

Items ID. E.g: S001

string
required

ISO-4217 currency code.

number

The total amount to be paid in one purchase order. 2 decimal points and comma( , ) is not allowed. Mandatory except DuitNowSQR and PayNowSQR

string
required

Items name.

string
required

item description.

string
required

This is a request integrity protection hash string.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json